import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import ElementUI from "element-ui"; //el
import "element-ui/lib/theme-chalk/index.css"; //el
import "@/assets/icon_font/iconfont.css"; //阿里矢量图
import "./permission"; // 登录权限
import "@/styles/index.scss"; // global css

// 时间插件
import moment from "moment";
Vue.prototype.$moment = moment;

// echarts
import * as echarts from 'echarts';
Vue.prototype.$echarts = echarts;

import * as echarts4 from 'echarts4';
Vue.prototype.$echarts4 = echarts4;

// datav
import dataV from '@jiaminghi/data-view'
Vue.use(dataV)

// 需要汉化
moment.locale("zh-cn");

Vue.config.productionTip = false;
Vue.use(ElementUI);
new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount("#app");
